Bug 174302 - xrdb requires cpp when used by KDE kcmshell fonts
xrdb requires cpp when used by KDE kcmshell fonts
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2005-11-27 11:18 EST by Jon Burgess
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-29 01:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Burgess 2005-11-27 11:18:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
I ran the KDE kcontrol and updated my font settings. An error appeared on the console suggesting the /usr/bin/cpp was not found.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. xrdb

1. kcmshell fonts
2. Update some font setting
3. OK & exit


Actual Results:  No error on console

Expected Results:  sh: /usr/bin/cpp: No such file or directory

Additional info:

Default install of FC5test1 + kde, plus rawhide updates.

Nots sure if this is really an x11 issue since xrdb already supports usage without cpp via -nocpp. Maybe this needs to be bounced to kdebase to get it to either add the dependency on cpp or use -nocpp if it isn't required.

What do you think is the best solution?
Comment 1 Mike A. Harris 2005-11-29 01:07:56 EST
Using -nocpp will only work on resource files that do not contain preprocessor
markup.  Using it on all files would break things.  Since xrdb invokes cpp
directly, the only proper fix is for it to have a hard dependency on cpp
being installed.

I've just updated xorg-x11-server-utils-0.99.2-6 in rawhide with a dependency
on the "cpp" package.  That should fix the problem.

Note You need to log in before you can comment on or make changes to this bug.